from __future__ import annotations
import sys
from importlib.machinery import ModuleSpec, PathFinder
from importlib.machinery import all_suffixes as module_suffixes
from importlib.util import spec_from_file_location
from itertools import chain
from pathlib import Path

MAPPING: dict[str, str] = {'bside': 'C:\\Users\\ngali\\Documents\\bside\\bside', 'docs': 'C:\\Users\\ngali\\Documents\\bside\\docs', 'examples': 'C:\\Users\\ngali\\Documents\\bside\\examples', 'venv': 'C:\\Users\\ngali\\Documents\\bside\\venv'}
NAMESPACES: dict[str, list[str]] = {'docs': ['C:\\Users\\ngali\\Documents\\bside\\docs'], 'examples': ['C:\\Users\\ngali\\Documents\\bside\\examples'], 'venv': ['C:\\Users\\ngali\\Documents\\bside\\venv'], 'venv.Include': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Include'], 'venv.Lib': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib'], 'venv.Scripts': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Scripts'], 'venv.share': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share'], 'venv.Lib.site-packages': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages'], 'venv.Lib.site-packages.pythonwin': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\pythonwin'], 'venv.Lib.site-packages.pywin32_system32': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\pywin32_system32'], 'venv.Lib.site-packages.win32': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32'], 'venv.Lib.site-packages.win32comext': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32comext'], 'venv.Lib.site-packages.adodbapi.examples': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\adodbapi\\examples'], 'venv.Lib.site-packages.adodbapi.test': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\adodbapi\\test'], 'venv.Lib.site-packages.bs4.tests.fuzz': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\bs4\\tests\\fuzz'], 'venv.Lib.site-packages.fsspec.tests': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\fsspec\\tests'], 'venv.Lib.site-packages.IPython.core.profile': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\IPython\\core\\profile'], 'venv.Lib.site-packages.IPython.core.tests.daft_extension': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\IPython\\core\\tests\\daft_extension'], 'venv.Lib.site-packages.isapi.doc': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\isapi\\doc'], 'venv.Lib.site-packages.isapi.samples': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\isapi\\samples'], 'venv.Lib.site-packages.isapi.test': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\isapi\\test'], 'venv.Lib.site-packages.jedi.third_party': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party'], 'venv.Lib.site-packages.jedi.third_party.django-stubs': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs'], 'venv.Lib.site-packages.jedi.third_party.typeshed': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.apps': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\apps'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.conf': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\conf'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.core': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\core'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.db': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\db'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.dispatch': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\dispatch'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.forms': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\forms'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.http': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\http'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.middleware': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\middleware'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.template': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\template'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.templatetags': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\templatetags'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.test': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\test'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.urls': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\urls'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.utils': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\utils'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.views': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\views'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.conf.locale': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\conf\\locale'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.conf.urls': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\conf\\urls'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.admin': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\admin'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.admindocs': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\admindocs'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.auth': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\auth'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.contenttypes': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\contenttypes'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.flatpages': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\flatpages'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.gis': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\gis'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.humanize': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\humanize'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.messages': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\messages'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.postgres': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\postgres'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.redirects': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\redirects'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.sessions': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\sessions'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.sitemaps': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\sitemaps'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.sites': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\sites'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.staticfiles': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\staticfiles'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.syndication': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\syndication'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.admin.templatetags': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\admin\\templatetags'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.admin.views': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\admin\\views'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.auth.handlers': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\auth\\handlers'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.auth.management': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\auth\\management'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.auth.management.commands': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\auth\\management\\commands'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.contenttypes.management': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\contenttypes\\management'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.contenttypes.management.commands': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\contenttypes\\management\\commands'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.flatpages.templatetags': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\flatpages\\templatetags'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.gis.db': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\gis\\db'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.gis.db.models': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\gis\\db\\models'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.humanize.templatetags': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\humanize\\templatetags'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.messages.storage': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\messages\\storage'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.postgres.aggregates': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\postgres\\aggregates'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.postgres.fields': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\postgres\\fields'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.sessions.backends': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\sessions\\backends'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.sessions.management': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\sessions\\management'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.sessions.management.commands': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\sessions\\management\\commands'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.sitemaps.management': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\sitemaps\\management'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.sitemaps.management.commands': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\sitemaps\\management\\commands'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.staticfiles.management': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\staticfiles\\management'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.staticfiles.templatetags': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\staticfiles\\templatetags'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.contrib.staticfiles.management.commands': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\contrib\\staticfiles\\management\\commands'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.core.cache': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\core\\cache'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.core.checks': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\core\\checks'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.core.files': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\core\\files'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.core.handlers': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\core\\handlers'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.core.mail': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\core\\mail'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.core.management': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\core\\management'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.core.serializers': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\core\\serializers'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.core.servers': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\core\\servers'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.core.cache.backends': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\core\\cache\\backends'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.core.checks.security': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\core\\checks\\security'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.core.mail.backends': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\core\\mail\\backends'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.core.management.commands': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\core\\management\\commands'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.db.backends': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\db\\backends'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.db.migrations': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\db\\migrations'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.db.models': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\db\\models'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.db.backends.base': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\db\\backends\\base'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.db.backends.dummy': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\db\\backends\\dummy'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.db.backends.mysql': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\db\\backends\\mysql'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.db.backends.postgresql': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\db\\backends\\postgresql'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.db.backends.sqlite3': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\db\\backends\\sqlite3'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.db.migrations.operations': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\db\\migrations\\operations'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.db.models.fields': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\db\\models\\fields'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.db.models.functions': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\db\\models\\functions'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.db.models.sql': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\db\\models\\sql'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.template.backends': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\template\\backends'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.template.loaders': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\template\\loaders'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.utils.translation': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\utils\\translation'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.views.decorators': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\views\\decorators'], 'venv.Lib.site-packages.jedi.third_party.django-stubs.django-stubs.views.generic': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\django-stubs\\django-stubs\\views\\generic'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2and3': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2and3'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2.distutils': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2\\distutils'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2.email': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2\\email'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2.encodings': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2\\encodings'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2.multiprocessing': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2\\multiprocessing'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2.os': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2\\os'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2.distutils.command': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2\\distutils\\command'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2.email.mime': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2\\email\\mime'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2.multiprocessing.dummy': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2\\multiprocessing\\dummy'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2and3.ctypes': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2and3\\ctypes'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2and3.curses': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2and3\\curses'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2and3.ensurepip': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2and3\\ensurepip'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2and3.lib2to3': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2and3\\lib2to3'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2and3.logging': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2and3\\logging'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2and3.msilib': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2and3\\msilib'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2and3.pydoc_data': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2and3\\pydoc_data'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2and3.pyexpat': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2and3\\pyexpat'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2and3.sqlite3': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2and3\\sqlite3'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2and3.wsgiref': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2and3\\wsgiref'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2and3.xml': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2and3\\xml'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2and3._typeshed': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2and3\\_typeshed'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2and3.lib2to3.pgen2': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2and3\\lib2to3\\pgen2'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2and3.xml.dom': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2and3\\xml\\dom'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2and3.xml.etree': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2and3\\xml\\etree'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2and3.xml.parsers': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2and3\\xml\\parsers'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2and3.xml.sax': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2and3\\xml\\sax'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.2and3.xml.parsers.expat': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\2and3\\xml\\parsers\\expat'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.asyncio': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\asyncio'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.collections': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\collections'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.concurrent': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\concurrent'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.dbm': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\dbm'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.distutils': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\distutils'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.email': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\email'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.encodings': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\encodings'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.html': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\html'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.http': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\http'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.importlib': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\importlib'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.json': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\json'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.multiprocessing': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\multiprocessing'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.os': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\os'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.tkinter': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\tkinter'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.unittest': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\unittest'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.urllib': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\urllib'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.venv': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\venv'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.xmlrpc': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\xmlrpc'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.concurrent.futures': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\concurrent\\futures'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.distutils.command': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\distutils\\command'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.email.mime': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\email\\mime'], 'venv.Lib.site-packages.jedi.third_party.typeshed.stdlib.3.multiprocessing.dummy': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\stdlib\\3\\multiprocessing\\dummy'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.3': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\3'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2.concurrent': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2\\concurrent'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2.fb303': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2\\fb303'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2.kazoo': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2\\kazoo'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2.OpenSSL': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2\\OpenSSL'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2.routes': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2\\routes'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2.scribe': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2\\scribe'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2.six': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2\\six'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2.tornado': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2\\tornado'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2.concurrent.futures': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2\\concurrent\\futures'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2.kazoo.recipe': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2\\kazoo\\recipe'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2.six.moves': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2\\six\\moves'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2.six.moves.urllib': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2\\six\\moves\\urllib'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.atomicwrites': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\atomicwrites'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.attr': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\attr'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.backports': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\backports'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.bleach': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\bleach'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.boto': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\boto'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.cachetools': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\cachetools'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.characteristic': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\characteristic'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.chardet': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\chardet'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.click': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\click'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.cryptography': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\cryptography'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.datetimerange': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\datetimerange'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.dateutil': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\dateutil'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.deprecated': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\deprecated'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.emoji': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\emoji'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.flask': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\flask'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.geoip2': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\geoip2'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.google': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\google'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.jinja2': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\jinja2'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.markdown': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\markdown'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.markupsafe': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\markupsafe'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.maxminddb': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\maxminddb'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.nmap': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\nmap'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.paramiko': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\paramiko'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.pymysql': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\pymysql'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.pynamodb': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\pynamodb'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.pytz': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\pytz'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.pyVmomi': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\pyVmomi'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.redis': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\redis'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.requests': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\requests'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.retry': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\retry'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.simplejson': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\simplejson'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.slugify': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\slugify'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.tzlocal': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\tzlocal'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.werkzeug': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\werkzeug'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.yaml': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\yaml'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.boto.ec2': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\boto\\ec2'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.boto.elb': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\boto\\elb'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.boto.kms': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\boto\\kms'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.boto.s3': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\boto\\s3'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.cryptography.hazmat': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\cryptography\\hazmat'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.cryptography.x509': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\cryptography\\x509'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.cryptography.hazmat.backends': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\cryptography\\hazmat\\backends'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.cryptography.hazmat.bindings': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\cryptography\\hazmat\\bindings'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.cryptography.hazmat.primitives': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\cryptography\\hazmat\\primitives'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.cryptography.hazmat.bindings.openssl': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\cryptography\\hazmat\\bindings\\openssl'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.cryptography.hazmat.primitives.asymmetric': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\cryptography\\hazmat\\primitives\\asymmetric'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.cryptography.hazmat.primitives.ciphers': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\cryptography\\hazmat\\primitives\\ciphers'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.cryptography.hazmat.primitives.kdf': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\cryptography\\hazmat\\primitives\\kdf'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.cryptography.hazmat.primitives.serialization': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\cryptography\\hazmat\\primitives\\serialization'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.cryptography.hazmat.primitives.twofactor': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\cryptography\\hazmat\\primitives\\twofactor'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.dateutil.tz': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\dateutil\\tz'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.flask.json': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\flask\\json'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.google.protobuf': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\google\\protobuf'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.google.protobuf.compiler': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\google\\protobuf\\compiler'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.google.protobuf.internal': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\google\\protobuf\\internal'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.google.protobuf.util': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\google\\protobuf\\util'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.markdown.extensions': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\markdown\\extensions'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.pymysql.constants': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\pymysql\\constants'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.pynamodb.connection': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\pynamodb\\connection'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.pyVmomi.vim': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\pyVmomi\\vim'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.pyVmomi.vmodl': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\pyVmomi\\vmodl'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.requests.packages': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\requests\\packages'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.requests.packages.urllib3': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\requests\\packages\\urllib3'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.requests.packages.urllib3.contrib': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\requests\\packages\\urllib3\\contrib'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.requests.packages.urllib3.packages': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\requests\\packages\\urllib3\\packages'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.requests.packages.urllib3.util': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\requests\\packages\\urllib3\\util'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.requests.packages.urllib3.packages.ssl_match_hostname': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\requests\\packages\\urllib3\\packages\\ssl_match_hostname'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.werkzeug.contrib': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\werkzeug\\contrib'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.werkzeug.debug': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\werkzeug\\debug'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.2and3.werkzeug.middleware': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\2and3\\werkzeug\\middleware'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.3.aiofiles': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\3\\aiofiles'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.3.docutils': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\3\\docutils'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.3.filelock': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\3\\filelock'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.3.freezegun': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\3\\freezegun'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.3.jwt': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\3\\jwt'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.3.pkg_resources': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\3\\pkg_resources'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.3.pyrfc3339': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\3\\pyrfc3339'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.3.six': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\3\\six'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.3.typed_ast': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\3\\typed_ast'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.3.waitress': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\3\\waitress'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.3.aiofiles.threadpool': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\3\\aiofiles\\threadpool'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.3.docutils.parsers': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\3\\docutils\\parsers'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.3.docutils.parsers.rst': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\3\\docutils\\parsers\\rst'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.3.jwt.contrib': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\3\\jwt\\contrib'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.3.jwt.contrib.algorithms': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\3\\jwt\\contrib\\algorithms'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.3.six.moves': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\3\\six\\moves'], 'venv.Lib.site-packages.jedi.third_party.typeshed.third_party.3.six.moves.urllib': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jedi\\third_party\\typeshed\\third_party\\3\\six\\moves\\urllib'], 'venv.Lib.site-packages.jsonschema.benchmarks.issue232': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jsonschema\\benchmarks\\issue232'], 'venv.Lib.site-packages.jsonschema_specifications.schemas': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jsonschema_specifications\\schemas'], 'venv.Lib.site-packages.jsonschema_specifications.schemas.draft201909': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jsonschema_specifications\\schemas\\draft201909'], 'venv.Lib.site-packages.jsonschema_specifications.schemas.draft202012': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jsonschema_specifications\\schemas\\draft202012'], 'venv.Lib.site-packages.jsonschema_specifications.schemas.draft3': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jsonschema_specifications\\schemas\\draft3'], 'venv.Lib.site-packages.jsonschema_specifications.schemas.draft4': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jsonschema_specifications\\schemas\\draft4'], 'venv.Lib.site-packages.jsonschema_specifications.schemas.draft6': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jsonschema_specifications\\schemas\\draft6'], 'venv.Lib.site-packages.jsonschema_specifications.schemas.draft7': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jsonschema_specifications\\schemas\\draft7'], 'venv.Lib.site-packages.jsonschema_specifications.schemas.draft201909.vocabularies': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jsonschema_specifications\\schemas\\draft201909\\vocabularies'], 'venv.Lib.site-packages.jsonschema_specifications.schemas.draft202012.vocabularies': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\jsonschema_specifications\\schemas\\draft202012\\vocabularies'], 'venv.Lib.site-packages.nbconvert.templates': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\nbconvert\\templates'], 'venv.Lib.site-packages.nbconvert.templates.skeleton': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\nbconvert\\templates\\skeleton'], 'venv.Lib.site-packages.networkx.algorithms.minors.tests': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\networkx\\algorithms\\minors\\tests'], 'venv.Lib.site-packages.networkx.drawing.tests.baseline': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\networkx\\drawing\\tests\\baseline'], 'venv.Lib.site-packages.numpy.doc': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\doc'], 'venv.Lib.site-packages.numpy.f2py.src': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\src'], 'venv.Lib.site-packages.numpy.f2py.tests.src': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src'], 'venv.Lib.site-packages.numpy.f2py.tests.src.abstract_interface': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\abstract_interface'], 'venv.Lib.site-packages.numpy.f2py.tests.src.array_from_pyobj': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\array_from_pyobj'], 'venv.Lib.site-packages.numpy.f2py.tests.src.assumed_shape': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\assumed_shape'], 'venv.Lib.site-packages.numpy.f2py.tests.src.block_docstring': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\block_docstring'], 'venv.Lib.site-packages.numpy.f2py.tests.src.callback': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\callback'], 'venv.Lib.site-packages.numpy.f2py.tests.src.cli': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\cli'], 'venv.Lib.site-packages.numpy.f2py.tests.src.common': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\common'], 'venv.Lib.site-packages.numpy.f2py.tests.src.crackfortran': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\crackfortran'], 'venv.Lib.site-packages.numpy.f2py.tests.src.f2cmap': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\f2cmap'], 'venv.Lib.site-packages.numpy.f2py.tests.src.isocintrin': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\isocintrin'], 'venv.Lib.site-packages.numpy.f2py.tests.src.kind': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\kind'], 'venv.Lib.site-packages.numpy.f2py.tests.src.mixed': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\mixed'], 'venv.Lib.site-packages.numpy.f2py.tests.src.modules': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\modules'], 'venv.Lib.site-packages.numpy.f2py.tests.src.negative_bounds': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\negative_bounds'], 'venv.Lib.site-packages.numpy.f2py.tests.src.parameter': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\parameter'], 'venv.Lib.site-packages.numpy.f2py.tests.src.quoted_character': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\quoted_character'], 'venv.Lib.site-packages.numpy.f2py.tests.src.regression': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\regression'], 'venv.Lib.site-packages.numpy.f2py.tests.src.return_character': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\return_character'], 'venv.Lib.site-packages.numpy.f2py.tests.src.return_complex': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\return_complex'], 'venv.Lib.site-packages.numpy.f2py.tests.src.return_integer': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\return_integer'], 'venv.Lib.site-packages.numpy.f2py.tests.src.return_logical': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\return_logical'], 'venv.Lib.site-packages.numpy.f2py.tests.src.return_real': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\return_real'], 'venv.Lib.site-packages.numpy.f2py.tests.src.size': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\size'], 'venv.Lib.site-packages.numpy.f2py.tests.src.string': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\string'], 'venv.Lib.site-packages.numpy.f2py.tests.src.value_attrspec': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\value_attrspec'], 'venv.Lib.site-packages.numpy.f2py.tests.src.modules.gh25337': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\modules\\gh25337'], 'venv.Lib.site-packages.numpy.f2py.tests.src.modules.gh26920': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\f2py\\tests\\src\\modules\\gh26920'], 'venv.Lib.site-packages.numpy.lib.tests.data': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\lib\\tests\\data'], 'venv.Lib.site-packages.numpy.random.lib': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\random\\lib'], 'venv.Lib.site-packages.numpy.random._examples': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\random\\_examples'], 'venv.Lib.site-packages.numpy.random._examples.cffi': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\random\\_examples\\cffi'], 'venv.Lib.site-packages.numpy.random._examples.cython': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\random\\_examples\\cython'], 'venv.Lib.site-packages.numpy.random._examples.numba': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\random\\_examples\\numba'], 'venv.Lib.site-packages.numpy.typing.tests.data': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\typing\\tests\\data'], 'venv.Lib.site-packages.numpy.typing.tests.data.fail': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\typing\\tests\\data\\fail'], 'venv.Lib.site-packages.numpy.typing.tests.data.misc': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\typing\\tests\\data\\misc'], 'venv.Lib.site-packages.numpy.typing.tests.data.pass': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\typing\\tests\\data\\pass'], 'venv.Lib.site-packages.numpy.typing.tests.data.reveal': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\typing\\tests\\data\\reveal'], 'venv.Lib.site-packages.numpy._core.include': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\_core\\include'], 'venv.Lib.site-packages.numpy._core.lib': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\_core\\lib'], 'venv.Lib.site-packages.numpy._core.tests': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\_core\\tests'], 'venv.Lib.site-packages.numpy._core.include.numpy': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\_core\\include\\numpy'], 'venv.Lib.site-packages.numpy._core.include.numpy.random': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\_core\\include\\numpy\\random'], 'venv.Lib.site-packages.numpy._core.lib.npy-pkg-config': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\_core\\lib\\npy-pkg-config'], 'venv.Lib.site-packages.numpy._core.lib.pkgconfig': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\_core\\lib\\pkgconfig'], 'venv.Lib.site-packages.numpy._core.tests.data': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\_core\\tests\\data'], 'venv.Lib.site-packages.numpy._core.tests.examples': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\_core\\tests\\examples'], 'venv.Lib.site-packages.numpy._core.tests.examples.cython': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\_core\\tests\\examples\\cython'], 'venv.Lib.site-packages.numpy._core.tests.examples.limited_api': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\numpy\\_core\\tests\\examples\\limited_api'], 'venv.Lib.site-packages.pkg_resources.tests.data': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\pkg_resources\\tests\\data'], 'venv.Lib.site-packages.pkg_resources.tests.data.my-test-package-source': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\pkg_resources\\tests\\data\\my-test-package-source'], 'venv.Lib.site-packages.pkg_resources.tests.data.my-test-package-zip': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\pkg_resources\\tests\\data\\my-test-package-zip'], 'venv.Lib.site-packages.pkg_resources.tests.data.my-test-package_unpacked-egg': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\pkg_resources\\tests\\data\\my-test-package_unpacked-egg'], 'venv.Lib.site-packages.pkg_resources.tests.data.my-test-package_zipped-egg': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\pkg_resources\\tests\\data\\my-test-package_zipped-egg'], 'venv.Lib.site-packages.pythonwin.pywin.Demos': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\pythonwin\\pywin\\Demos'], 'venv.Lib.site-packages.pythonwin.pywin.Demos.app': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\pythonwin\\pywin\\Demos\\app'], 'venv.Lib.site-packages.scipy.interpolate.tests.data': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\scipy\\interpolate\\tests\\data'], 'venv.Lib.site-packages.scipy.io.arff.tests.data': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\scipy\\io\\arff\\tests\\data'], 'venv.Lib.site-packages.scipy.io.matlab.tests.data': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\scipy\\io\\matlab\\tests\\data'], 'venv.Lib.site-packages.scipy.io.tests.data': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\scipy\\io\\tests\\data'], 'venv.Lib.site-packages.scipy.linalg.tests.data': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\scipy\\linalg\\tests\\data'], 'venv.Lib.site-packages.scipy.linalg.tests._cython_examples': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\scipy\\linalg\\tests\\_cython_examples'], 'venv.Lib.site-packages.scipy.ndimage.tests.data': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\scipy\\ndimage\\tests\\data'], 'venv.Lib.site-packages.scipy.optimize.tests._cython_examples': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\scipy\\optimize\\tests\\_cython_examples'], 'venv.Lib.site-packages.scipy.optimize._highs.src': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\scipy\\optimize\\_highs\\src'], 'venv.Lib.site-packages.scipy.optimize._highs.src.cython': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\scipy\\optimize\\_highs\\src\\cython'], 'venv.Lib.site-packages.scipy.sparse.linalg._propack': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\scipy\\sparse\\linalg\\_propack'], 'venv.Lib.site-packages.scipy.sparse.tests.data': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\scipy\\sparse\\tests\\data'], 'venv.Lib.site-packages.scipy.spatial.qhull_src': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\scipy\\spatial\\qhull_src'], 'venv.Lib.site-packages.scipy.spatial.tests.data': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\scipy\\spatial\\tests\\data'], 'venv.Lib.site-packages.scipy.special.special': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\scipy\\special\\special'], 'venv.Lib.site-packages.scipy.special.special.cephes': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\scipy\\special\\special\\cephes'], 'venv.Lib.site-packages.scipy.special.tests._cython_examples': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\scipy\\special\\tests\\_cython_examples'], 'venv.Lib.site-packages.scipy.stats.tests.data': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\scipy\\stats\\tests\\data'], 'venv.Lib.site-packages.scipy.stats.tests.data.levy_stable': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\scipy\\stats\\tests\\data\\levy_stable'], 'venv.Lib.site-packages.scipy.stats.tests.data.nist_anova': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\scipy\\stats\\tests\\data\\nist_anova'], 'venv.Lib.site-packages.scipy.stats.tests.data.nist_linregress': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\scipy\\stats\\tests\\data\\nist_linregress'], 'venv.Lib.site-packages.setuptools._vendor': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\setuptools\\_vendor'], 'venv.Lib.site-packages.setuptools.tests.indexes': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\setuptools\\tests\\indexes'], 'venv.Lib.site-packages.setuptools.tests.indexes.test_links_priority': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\setuptools\\tests\\indexes\\test_links_priority'], 'venv.Lib.site-packages.setuptools.tests.indexes.test_links_priority.simple': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\setuptools\\tests\\indexes\\test_links_priority\\simple'], 'venv.Lib.site-packages.setuptools.tests.indexes.test_links_priority.simple.foobar': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\setuptools\\tests\\indexes\\test_links_priority\\simple\\foobar'], 'venv.Lib.site-packages.setuptools._vendor.jaraco': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\setuptools\\_vendor\\jaraco'], 'venv.Lib.site-packages.setuptools._vendor.importlib_resources.tests.namespacedata01': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\setuptools\\_vendor\\importlib_resources\\tests\\namespacedata01'], 'venv.Lib.site-packages.setuptools._vendor.importlib_resources.tests.data02.subdirectory': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\setuptools\\_vendor\\importlib_resources\\tests\\data02\\subdirectory'], 'venv.Lib.site-packages.setuptools._vendor.importlib_resources.tests.data02.subdirectory.subsubdir': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\setuptools\\_vendor\\importlib_resources\\tests\\data02\\subdirectory\\subsubdir'], 'venv.Lib.site-packages.setuptools._vendor.importlib_resources.tests.namespacedata01.subdirectory': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\setuptools\\_vendor\\importlib_resources\\tests\\namespacedata01\\subdirectory'], 'venv.Lib.site-packages.sympy.parsing.autolev.test-examples': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\sympy\\parsing\\autolev\\test-examples'], 'venv.Lib.site-packages.sympy.parsing.autolev.test-examples.pydy-example-repo': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\sympy\\parsing\\autolev\\test-examples\\pydy-example-repo'], 'venv.Lib.site-packages.sympy.parsing.latex.lark.grammar': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\sympy\\parsing\\latex\\lark\\grammar'], 'venv.Lib.site-packages.torch.bin': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\bin'], 'venv.Lib.site-packages.torch.include': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include'], 'venv.Lib.site-packages.torch.lib': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\lib'], 'venv.Lib.site-packages.torch.share': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\share'], 'venv.Lib.site-packages.torch._C': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\_C'], 'venv.Lib.site-packages.torch.include.ATen': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen'], 'venv.Lib.site-packages.torch.include.c10': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\c10'], 'venv.Lib.site-packages.torch.include.caffe2': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\caffe2'], 'venv.Lib.site-packages.torch.include.kineto': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\kineto'], 'venv.Lib.site-packages.torch.include.pybind11': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\pybind11'], 'venv.Lib.site-packages.torch.include.torch': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch'], 'venv.Lib.site-packages.torch.include.ATen.core': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\core'], 'venv.Lib.site-packages.torch.include.ATen.cpu': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\cpu'], 'venv.Lib.site-packages.torch.include.ATen.cuda': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\cuda'], 'venv.Lib.site-packages.torch.include.ATen.cudnn': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\cudnn'], 'venv.Lib.site-packages.torch.include.ATen.detail': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\detail'], 'venv.Lib.site-packages.torch.include.ATen.functorch': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\functorch'], 'venv.Lib.site-packages.torch.include.ATen.hip': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\hip'], 'venv.Lib.site-packages.torch.include.ATen.miopen': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\miopen'], 'venv.Lib.site-packages.torch.include.ATen.mps': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\mps'], 'venv.Lib.site-packages.torch.include.ATen.native': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\native'], 'venv.Lib.site-packages.torch.include.ATen.ops': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\ops'], 'venv.Lib.site-packages.torch.include.ATen.quantized': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\quantized'], 'venv.Lib.site-packages.torch.include.ATen.xpu': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\xpu'], 'venv.Lib.site-packages.torch.include.ATen.core.boxing': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\core\\boxing'], 'venv.Lib.site-packages.torch.include.ATen.core.dispatch': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\core\\dispatch'], 'venv.Lib.site-packages.torch.include.ATen.core.op_registration': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\core\\op_registration'], 'venv.Lib.site-packages.torch.include.ATen.core.boxing.impl': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\core\\boxing\\impl'], 'venv.Lib.site-packages.torch.include.ATen.cpu.vec': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\cpu\\vec'], 'venv.Lib.site-packages.torch.include.ATen.cpu.vec.vec256': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\cpu\\vec\\vec256'], 'venv.Lib.site-packages.torch.include.ATen.cpu.vec.vec512': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\cpu\\vec\\vec512'], 'venv.Lib.site-packages.torch.include.ATen.cpu.vec.vec256.vsx': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\cpu\\vec\\vec256\\vsx'], 'venv.Lib.site-packages.torch.include.ATen.cpu.vec.vec256.zarch': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\cpu\\vec\\vec256\\zarch'], 'venv.Lib.site-packages.torch.include.ATen.cuda.detail': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\cuda\\detail'], 'venv.Lib.site-packages.torch.include.ATen.cuda.tunable': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\cuda\\tunable'], 'venv.Lib.site-packages.torch.include.ATen.hip.impl': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\hip\\impl'], 'venv.Lib.site-packages.torch.include.ATen.native.cpu': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\native\\cpu'], 'venv.Lib.site-packages.torch.include.ATen.native.cuda': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\native\\cuda'], 'venv.Lib.site-packages.torch.include.ATen.native.mps': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\native\\mps'], 'venv.Lib.site-packages.torch.include.ATen.native.nested': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\native\\nested'], 'venv.Lib.site-packages.torch.include.ATen.native.quantized': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\native\\quantized'], 'venv.Lib.site-packages.torch.include.ATen.native.transformers': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\native\\transformers'], 'venv.Lib.site-packages.torch.include.ATen.native.utils': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\native\\utils'], 'venv.Lib.site-packages.torch.include.ATen.native.quantized.cpu': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\native\\quantized\\cpu'], 'venv.Lib.site-packages.torch.include.ATen.xpu.detail': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\ATen\\xpu\\detail'], 'venv.Lib.site-packages.torch.include.c10.core': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\c10\\core'], 'venv.Lib.site-packages.torch.include.c10.cuda': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\c10\\cuda'], 'venv.Lib.site-packages.torch.include.c10.macros': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\c10\\macros'], 'venv.Lib.site-packages.torch.include.c10.util': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\c10\\util'], 'venv.Lib.site-packages.torch.include.c10.xpu': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\c10\\xpu'], 'venv.Lib.site-packages.torch.include.c10.core.impl': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\c10\\core\\impl'], 'venv.Lib.site-packages.torch.include.c10.cuda.impl': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\c10\\cuda\\impl'], 'venv.Lib.site-packages.torch.include.c10.xpu.impl': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\c10\\xpu\\impl'], 'venv.Lib.site-packages.torch.include.caffe2.serialize': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\caffe2\\serialize'], 'venv.Lib.site-packages.torch.include.pybind11.detail': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\pybind11\\detail'], 'venv.Lib.site-packages.torch.include.pybind11.eigen': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\pybind11\\eigen'], 'venv.Lib.site-packages.torch.include.torch.csrc': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc'], 'venv.Lib.site-packages.torch.include.torch.csrc.api': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\api'], 'venv.Lib.site-packages.torch.include.torch.csrc.autograd': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\autograd'], 'venv.Lib.site-packages.torch.include.torch.csrc.cuda': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\cuda'], 'venv.Lib.site-packages.torch.include.torch.csrc.distributed': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\distributed'], 'venv.Lib.site-packages.torch.include.torch.csrc.dynamo': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\dynamo'], 'venv.Lib.site-packages.torch.include.torch.csrc.inductor': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\inductor'], 'venv.Lib.site-packages.torch.include.torch.csrc.jit': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\jit'], 'venv.Lib.site-packages.torch.include.torch.csrc.lazy': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\lazy'], 'venv.Lib.site-packages.torch.include.torch.csrc.onnx': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\onnx'], 'venv.Lib.site-packages.torch.include.torch.csrc.profiler': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\profiler'], 'venv.Lib.site-packages.torch.include.torch.csrc.tensor': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\tensor'], 'venv.Lib.site-packages.torch.include.torch.csrc.utils': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\utils'], 'venv.Lib.site-packages.torch.include.torch.csrc.xpu': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\xpu'], 'venv.Lib.site-packages.torch.include.torch.csrc.api.include': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\api\\include'], 'venv.Lib.site-packages.torch.include.torch.csrc.api.include.torch': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\api\\include\\torch'], 'venv.Lib.site-packages.torch.include.torch.csrc.api.include.torch.data': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\api\\include\\torch\\data'], 'venv.Lib.site-packages.torch.include.torch.csrc.api.include.torch.detail': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\api\\include\\torch\\detail'], 'venv.Lib.site-packages.torch.include.torch.csrc.api.include.torch.nn': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\api\\include\\torch\\nn'], 'venv.Lib.site-packages.torch.include.torch.csrc.api.include.torch.optim': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\api\\include\\torch\\optim'], 'venv.Lib.site-packages.torch.include.torch.csrc.api.include.torch.serialize': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\api\\include\\torch\\serialize'], 'venv.Lib.site-packages.torch.include.torch.csrc.api.include.torch.data.dataloader': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\api\\include\\torch\\data\\dataloader'], 'venv.Lib.site-packages.torch.include.torch.csrc.api.include.torch.data.datasets': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\api\\include\\torch\\data\\datasets'], 'venv.Lib.site-packages.torch.include.torch.csrc.api.include.torch.data.detail': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\api\\include\\torch\\data\\detail'], 'venv.Lib.site-packages.torch.include.torch.csrc.api.include.torch.data.samplers': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\api\\include\\torch\\data\\samplers'], 'venv.Lib.site-packages.torch.include.torch.csrc.api.include.torch.data.transforms': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\api\\include\\torch\\data\\transforms'], 'venv.Lib.site-packages.torch.include.torch.csrc.api.include.torch.nn.functional': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\api\\include\\torch\\nn\\functional'], 'venv.Lib.site-packages.torch.include.torch.csrc.api.include.torch.nn.modules': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\api\\include\\torch\\nn\\modules'], 'venv.Lib.site-packages.torch.include.torch.csrc.api.include.torch.nn.options': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\api\\include\\torch\\nn\\options'], 'venv.Lib.site-packages.torch.include.torch.csrc.api.include.torch.nn.parallel': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\api\\include\\torch\\nn\\parallel'], 'venv.Lib.site-packages.torch.include.torch.csrc.api.include.torch.nn.utils': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\api\\include\\torch\\nn\\utils'], 'venv.Lib.site-packages.torch.include.torch.csrc.api.include.torch.nn.modules.container': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\api\\include\\torch\\nn\\modules\\container'], 'venv.Lib.site-packages.torch.include.torch.csrc.api.include.torch.optim.schedulers': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\api\\include\\torch\\optim\\schedulers'], 'venv.Lib.site-packages.torch.include.torch.csrc.autograd.functions': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\autograd\\functions'], 'venv.Lib.site-packages.torch.include.torch.csrc.autograd.generated': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\autograd\\generated'], 'venv.Lib.site-packages.torch.include.torch.csrc.autograd.utils': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\autograd\\utils'], 'venv.Lib.site-packages.torch.include.torch.csrc.distributed.autograd': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\distributed\\autograd'], 'venv.Lib.site-packages.torch.include.torch.csrc.distributed.c10d': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\distributed\\c10d'], 'venv.Lib.site-packages.torch.include.torch.csrc.distributed.rpc': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\distributed\\rpc'], 'venv.Lib.site-packages.torch.include.torch.csrc.distributed.autograd.context': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\distributed\\autograd\\context'], 'venv.Lib.site-packages.torch.include.torch.csrc.distributed.autograd.functions': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\distributed\\autograd\\functions'], 'venv.Lib.site-packages.torch.include.torch.csrc.distributed.autograd.rpc_messages': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\distributed\\autograd\\rpc_messages'], 'venv.Lib.site-packages.torch.include.torch.csrc.inductor.aoti_runner': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\inductor\\aoti_runner'], 'venv.Lib.site-packages.torch.include.torch.csrc.inductor.aoti_runtime': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\inductor\\aoti_runtime'], 'venv.Lib.site-packages.torch.include.torch.csrc.inductor.aoti_torch': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\inductor\\aoti_torch'], 'venv.Lib.site-packages.torch.include.torch.csrc.inductor.aoti_torch.c': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\inductor\\aoti_torch\\c'], 'venv.Lib.site-packages.torch.include.torch.csrc.inductor.aoti_torch.generated': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\inductor\\aoti_torch\\generated'], 'venv.Lib.site-packages.torch.include.torch.csrc.jit.api': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\jit\\api'], 'venv.Lib.site-packages.torch.include.torch.csrc.jit.backends': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\jit\\backends'], 'venv.Lib.site-packages.torch.include.torch.csrc.jit.codegen': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\jit\\codegen'], 'venv.Lib.site-packages.torch.include.torch.csrc.jit.frontend': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\jit\\frontend'], 'venv.Lib.site-packages.torch.include.torch.csrc.jit.ir': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\jit\\ir'], 'venv.Lib.site-packages.torch.include.torch.csrc.jit.mobile': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\jit\\mobile'], 'venv.Lib.site-packages.torch.include.torch.csrc.jit.passes': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\jit\\passes'], 'venv.Lib.site-packages.torch.include.torch.csrc.jit.python': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\jit\\python'], 'venv.Lib.site-packages.torch.include.torch.csrc.jit.runtime': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\jit\\runtime'], 'venv.Lib.site-packages.torch.include.torch.csrc.jit.serialization': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\jit\\serialization'], 'venv.Lib.site-packages.torch.include.torch.csrc.jit.tensorexpr': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\jit\\tensorexpr'], 'venv.Lib.site-packages.torch.include.torch.csrc.jit.testing': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\jit\\testing'], 'venv.Lib.site-packages.torch.include.torch.csrc.jit.codegen.cuda': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\jit\\codegen\\cuda'], 'venv.Lib.site-packages.torch.include.torch.csrc.jit.passes.quantization': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\jit\\passes\\quantization'], 'venv.Lib.site-packages.torch.include.torch.csrc.jit.passes.utils': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\jit\\passes\\utils'], 'venv.Lib.site-packages.torch.include.torch.csrc.jit.tensorexpr.operators': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\jit\\tensorexpr\\operators'], 'venv.Lib.site-packages.torch.include.torch.csrc.lazy.backend': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\lazy\\backend'], 'venv.Lib.site-packages.torch.include.torch.csrc.lazy.core': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\lazy\\core'], 'venv.Lib.site-packages.torch.include.torch.csrc.lazy.python': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\lazy\\python'], 'venv.Lib.site-packages.torch.include.torch.csrc.lazy.ts_backend': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\lazy\\ts_backend'], 'venv.Lib.site-packages.torch.include.torch.csrc.lazy.core.internal_ops': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\lazy\\core\\internal_ops'], 'venv.Lib.site-packages.torch.include.torch.csrc.lazy.core.ops': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\lazy\\core\\ops'], 'venv.Lib.site-packages.torch.include.torch.csrc.profiler.orchestration': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\profiler\\orchestration'], 'venv.Lib.site-packages.torch.include.torch.csrc.profiler.python': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\profiler\\python'], 'venv.Lib.site-packages.torch.include.torch.csrc.profiler.standalone': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\profiler\\standalone'], 'venv.Lib.site-packages.torch.include.torch.csrc.profiler.stubs': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\profiler\\stubs'], 'venv.Lib.site-packages.torch.include.torch.csrc.profiler.unwind': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\include\\torch\\csrc\\profiler\\unwind'], 'venv.Lib.site-packages.torch.share.cmake': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\share\\cmake'], 'venv.Lib.site-packages.torch.share.cmake.ATen': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\share\\cmake\\ATen'], 'venv.Lib.site-packages.torch.share.cmake.Caffe2': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\share\\cmake\\Caffe2'], 'venv.Lib.site-packages.torch.share.cmake.Torch': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\share\\cmake\\Torch'], 'venv.Lib.site-packages.torch.share.cmake.Caffe2.Modules_CUDA_fix': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\share\\cmake\\Caffe2\\Modules_CUDA_fix'], 'venv.Lib.site-packages.torch.share.cmake.Caffe2.public': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\share\\cmake\\Caffe2\\public'], 'venv.Lib.site-packages.torch.share.cmake.Caffe2.Modules_CUDA_fix.upstream': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\share\\cmake\\Caffe2\\Modules_CUDA_fix\\upstream'], 'venv.Lib.site-packages.torch.share.cmake.Caffe2.Modules_CUDA_fix.upstream.FindCUDA': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\share\\cmake\\Caffe2\\Modules_CUDA_fix\\upstream\\FindCUDA'], 'venv.Lib.site-packages.torch._inductor.codegen.aoti_runtime': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torch\\_inductor\\codegen\\aoti_runtime'], 'venv.Lib.site-packages.torchgen.packaged': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torchgen\\packaged'], 'venv.Lib.site-packages.torchgen.packaged.ATen': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torchgen\\packaged\\ATen'], 'venv.Lib.site-packages.torchgen.packaged.ATen.native': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torchgen\\packaged\\ATen\\native'], 'venv.Lib.site-packages.torchgen.packaged.ATen.templates': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torchgen\\packaged\\ATen\\templates'], 'venv.Lib.site-packages.torchgen.packaged.autograd.templates': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\torchgen\\packaged\\autograd\\templates'], 'venv.Lib.site-packages.tornado.test.csv_translations': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\tornado\\test\\csv_translations'], 'venv.Lib.site-packages.tornado.test.gettext_translations': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\tornado\\test\\gettext_translations'], 'venv.Lib.site-packages.tornado.test.static': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\tornado\\test\\static'], 'venv.Lib.site-packages.tornado.test.templates': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\tornado\\test\\templates'], 'venv.Lib.site-packages.tornado.test.gettext_translations.fr_FR': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\tornado\\test\\gettext_translations\\fr_FR'], 'venv.Lib.site-packages.tornado.test.gettext_translations.fr_FR.LC_MESSAGES': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\tornado\\test\\gettext_translations\\fr_FR\\LC_MESSAGES'], 'venv.Lib.site-packages.tornado.test.static.dir': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\tornado\\test\\static\\dir'], 'venv.Lib.site-packages.win32.Demos': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32\\Demos'], 'venv.Lib.site-packages.win32.include': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32\\include'], 'venv.Lib.site-packages.win32.lib': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32\\lib'], 'venv.Lib.site-packages.win32.libs': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32\\libs'], 'venv.Lib.site-packages.win32.scripts': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32\\scripts'], 'venv.Lib.site-packages.win32.test': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32\\test'], 'venv.Lib.site-packages.win32.Demos.c_extension': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32\\Demos\\c_extension'], 'venv.Lib.site-packages.win32.Demos.dde': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32\\Demos\\dde'], 'venv.Lib.site-packages.win32.Demos.images': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32\\Demos\\images'], 'venv.Lib.site-packages.win32.Demos.pipes': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32\\Demos\\pipes'], 'venv.Lib.site-packages.win32.Demos.security': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32\\Demos\\security'], 'venv.Lib.site-packages.win32.Demos.service': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32\\Demos\\service'], 'venv.Lib.site-packages.win32.Demos.win32wnet': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32\\Demos\\win32wnet'], 'venv.Lib.site-packages.win32.Demos.security.sspi': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32\\Demos\\security\\sspi'], 'venv.Lib.site-packages.win32.scripts.VersionStamp': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32\\scripts\\VersionStamp'], 'venv.Lib.site-packages.win32.test.win32rcparser': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32\\test\\win32rcparser'], 'venv.Lib.site-packages.win32com.HTML': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32com\\HTML'], 'venv.Lib.site-packages.win32com.include': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32com\\include'], 'venv.Lib.site-packages.win32com.libs': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32com\\libs'], 'venv.Lib.site-packages.win32com.HTML.image': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32com\\HTML\\image'], 'venv.Lib.site-packages.win32comext.adsi.demos': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32comext\\adsi\\demos'], 'venv.Lib.site-packages.win32comext.authorization.demos': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32comext\\authorization\\demos'], 'venv.Lib.site-packages.win32comext.axscript.Demos': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32comext\\axscript\\Demos'], 'venv.Lib.site-packages.win32comext.axscript.test': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32comext\\axscript\\test'], 'venv.Lib.site-packages.win32comext.axscript.Demos.client': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32comext\\axscript\\Demos\\client'], 'venv.Lib.site-packages.win32comext.axscript.Demos.client.asp': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32comext\\axscript\\Demos\\client\\asp'], 'venv.Lib.site-packages.win32comext.axscript.Demos.client.ie': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32comext\\axscript\\Demos\\client\\ie'], 'venv.Lib.site-packages.win32comext.axscript.Demos.client.wsh': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32comext\\axscript\\Demos\\client\\wsh'], 'venv.Lib.site-packages.win32comext.axscript.Demos.client.asp.interrupt': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32comext\\axscript\\Demos\\client\\asp\\interrupt'], 'venv.Lib.site-packages.win32comext.bits.test': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32comext\\bits\\test'], 'venv.Lib.site-packages.win32comext.ifilter.demo': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32comext\\ifilter\\demo'], 'venv.Lib.site-packages.win32comext.mapi.demos': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32comext\\mapi\\demos'], 'venv.Lib.site-packages.win32comext.propsys.test': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32comext\\propsys\\test'], 'venv.Lib.site-packages.win32comext.shell.demos': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32comext\\shell\\demos'], 'venv.Lib.site-packages.win32comext.shell.test': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32comext\\shell\\test'], 'venv.Lib.site-packages.win32comext.shell.demos.servers': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32comext\\shell\\demos\\servers'], 'venv.Lib.site-packages.win32comext.taskscheduler.test': ['C:\\Users\\ngali\\Documents\\bside\\venv\\Lib\\site-packages\\win32comext\\taskscheduler\\test'], 'venv.share.jupyter': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter'], 'venv.share.man': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\man'], 'venv.share.jupyter.labextensions': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter\\labextensions'], 'venv.share.jupyter.nbconvert': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter\\nbconvert'], 'venv.share.jupyter.labextensions.jupyterlab_pygments': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter\\labextensions\\jupyterlab_pygments'], 'venv.share.jupyter.labextensions.jupyterlab_pygments.static': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter\\labextensions\\jupyterlab_pygments\\static'], 'venv.share.jupyter.nbconvert.templates': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter\\nbconvert\\templates'], 'venv.share.jupyter.nbconvert.templates.asciidoc': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter\\nbconvert\\templates\\asciidoc'], 'venv.share.jupyter.nbconvert.templates.base': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter\\nbconvert\\templates\\base'], 'venv.share.jupyter.nbconvert.templates.basic': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter\\nbconvert\\templates\\basic'], 'venv.share.jupyter.nbconvert.templates.classic': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter\\nbconvert\\templates\\classic'], 'venv.share.jupyter.nbconvert.templates.compatibility': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter\\nbconvert\\templates\\compatibility'], 'venv.share.jupyter.nbconvert.templates.lab': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter\\nbconvert\\templates\\lab'], 'venv.share.jupyter.nbconvert.templates.latex': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter\\nbconvert\\templates\\latex'], 'venv.share.jupyter.nbconvert.templates.markdown': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter\\nbconvert\\templates\\markdown'], 'venv.share.jupyter.nbconvert.templates.python': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter\\nbconvert\\templates\\python'], 'venv.share.jupyter.nbconvert.templates.reveal': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter\\nbconvert\\templates\\reveal'], 'venv.share.jupyter.nbconvert.templates.rst': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter\\nbconvert\\templates\\rst'], 'venv.share.jupyter.nbconvert.templates.script': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter\\nbconvert\\templates\\script'], 'venv.share.jupyter.nbconvert.templates.webpdf': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter\\nbconvert\\templates\\webpdf'], 'venv.share.jupyter.nbconvert.templates.classic.static': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter\\nbconvert\\templates\\classic\\static'], 'venv.share.jupyter.nbconvert.templates.lab.static': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter\\nbconvert\\templates\\lab\\static'], 'venv.share.jupyter.nbconvert.templates.reveal.static': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\jupyter\\nbconvert\\templates\\reveal\\static'], 'venv.share.man.man1': ['C:\\Users\\ngali\\Documents\\bside\\venv\\share\\man\\man1']}
PATH_PLACEHOLDER = '__editable__.bside-0.0.1.finder' + ".__path_hook__"


class _EditableFinder:  # MetaPathFinder
    @classmethod
    def find_spec(cls, fullname: str, path=None, target=None) -> ModuleSpec | None:  # type: ignore
        # Top-level packages and modules (we know these exist in the FS)
        if fullname in MAPPING:
            pkg_path = MAPPING[fullname]
            return cls._find_spec(fullname, Path(pkg_path))

        # Handle immediate children modules (required for namespaces to work)
        # To avoid problems with case sensitivity in the file system we delegate
        # to the importlib.machinery implementation.
        parent, _, child = fullname.rpartition(".")
        if parent and parent in MAPPING:
            return PathFinder.find_spec(fullname, path=[MAPPING[parent]])

        # Other levels of nesting should be handled automatically by importlib
        # using the parent path.
        return None

    @classmethod
    def _find_spec(cls, fullname: str, candidate_path: Path) -> ModuleSpec | None:
        init = candidate_path / "__init__.py"
        candidates = (candidate_path.with_suffix(x) for x in module_suffixes())
        for candidate in chain([init], candidates):
            if candidate.exists():
                return spec_from_file_location(fullname, candidate)
        return None


class _EditableNamespaceFinder:  # PathEntryFinder
    @classmethod
    def _path_hook(cls, path) -> type[_EditableNamespaceFinder]:
        if path == PATH_PLACEHOLDER:
            return cls
        raise ImportError

    @classmethod
    def _paths(cls, fullname: str) -> list[str]:
        paths = NAMESPACES[fullname]
        if not paths and fullname in MAPPING:
            paths = [MAPPING[fullname]]
        # Always add placeholder, for 2 reasons:
        # 1. __path__ cannot be empty for the spec to be considered namespace.
        # 2. In the case of nested namespaces, we need to force
        #    import machinery to query _EditableNamespaceFinder again.
        return [*paths, PATH_PLACEHOLDER]

    @classmethod
    def find_spec(cls, fullname: str, target=None) -> ModuleSpec | None:  # type: ignore
        if fullname in NAMESPACES:
            spec = ModuleSpec(fullname, None, is_package=True)
            spec.submodule_search_locations = cls._paths(fullname)
            return spec
        return None

    @classmethod
    def find_module(cls, _fullname) -> None:
        return None


def install():
    if not any(finder == _EditableFinder for finder in sys.meta_path):
        sys.meta_path.append(_EditableFinder)

    if not NAMESPACES:
        return

    if not any(hook == _EditableNamespaceFinder._path_hook for hook in sys.path_hooks):
        # PathEntryFinder is needed to create NamespaceSpec without private APIS
        sys.path_hooks.append(_EditableNamespaceFinder._path_hook)
    if PATH_PLACEHOLDER not in sys.path:
        sys.path.append(PATH_PLACEHOLDER)  # Used just to trigger the path hook
